#include "DialogueRootNode.h"
#include "DialogueTree.h"

#define LOCTEXT_NAMESPACE "UDialogueChoiceNode"

UDialogueRootNode::UDialogueRootNode()
{
#if WITH_EDITORONLY_DATA
	CompatibleGraphType = UDialogueTree::StaticClass();

	ContextMenuName = LOCTEXT("ConextMenuName", "Root Node");
#endif
}

#if WITH_EDITOR
FText UDialogueRootNode::GetNodeTitle() const
{
	return LOCTEXT("Root Node", "ROOT");
}

FLinearColor UDialogueRootNode::GetBackgroundColor() const
{
	if (const UDialogueTree* DialogueTree = Cast<UDialogueTree>(GetGraph()); DialogueTree == nullptr)
		return Super::GetBackgroundColor();

	return FLinearColor(0.f, 1.f, 0.f, 1.f);
}

#endif

#undef LOCTEXT_NAMESPACE
